Gyoto::Screen::Coord2dSet Class Referenceabstract

Class to specify a set of points on the Screen. More...

`#include <GyotoScreen.h>`

Inheritance diagram for Gyoto::Screen::Coord2dSet:

## Public Member Functions

| Coord2dSet (CoordType_e k)
| Set kind at initialisation.
virtual | ~Coord2dSet ()
| Virtual destructor.
virtual Coord2dSet & | operator++ ()=0
| Increment pointer.
virtual GYOTO_ARRAY< size_t, 2 > | operator* () const
| Get pixel coordinates.
virtual GYOTO_ARRAY< double, 2 > | angles () const
| Get angle coordinates.
virtual void | begin ()=0
| Reset pointer.
virtual bool | valid ()=0
| Whether the end has not been passed.
virtual size_t | size ()=0
| Number of positions contained.

## Public Attributes

const CoordType_e | kind
| Whether this set holds pixels or angle specifications.

## Detailed Description

Class to specify a set of points on the Screen.

Container (array-like) holding several 2D points. Can be a 2D grid of pixel coordinates or a vector of floating-point (alpha, delta) pairs, for instance.

## Member Function Documentation

## angles()

virtual GYOTO_ARRAY< double, 2 > Gyoto::Screen::Coord2dSet::angles | ( |  | ) | const

virtual

Get angle coordinates.

Reimplemented in Gyoto::Screen::Bucket.

## begin()

virtual void Gyoto::Screen::Coord2dSet::begin | ( |  | ) |

pure virtual

Reset pointer.

Implemented in Gyoto::Screen::Bucket, Gyoto::Screen::Empty, and Gyoto::Screen::Grid.

## operator*()

virtual GYOTO_ARRAY< size_t, 2 > Gyoto::Screen::Coord2dSet::operator* | ( |  | ) | const

virtual

Get pixel coordinates.

Reimplemented in Gyoto::Screen::Bucket, and Gyoto::Screen::Grid.

## operator++()

virtual Coord2dSet & Gyoto::Screen::Coord2dSet::operator++ | ( |  | ) |

pure virtual

Increment pointer.

Implemented in Gyoto::Screen::Bucket, Gyoto::Screen::Empty, and Gyoto::Screen::Grid.

## size()

virtual size_t Gyoto::Screen::Coord2dSet::size | ( |  | ) |

pure virtual

Number of positions contained.

Implemented in Gyoto::Screen::Bucket, Gyoto::Screen::Empty, and Gyoto::Screen::Grid.

## valid()

virtual bool Gyoto::Screen::Coord2dSet::valid | ( |  | ) |

pure virtual

Whether the end has not been passed.

Implemented in Gyoto::Screen::Bucket, Gyoto::Screen::Empty, and Gyoto::Screen::Grid.

The documentation for this class was generated from the following file:

- GyotoScreen.h